## pipelight-multi 0.2.8.1

=== Makefile ===
-include config.make

PLUGIN_CONFIGS=$(wildcard share/configs/*.in)
PLUGIN_SCRIPTS=$(wildcard share/scripts/*.in)
PLUGIN_LICENSES=$(wildcard share/licenses/*.in)

PROGRAMS :=

ifeq ($(win32_cxx),prebuilt)
	PROGRAMS := $(PROGRAMS) prebuilt32
else
	PROGRAMS := $(PROGRAMS) windows32
endif

ifeq ($(with_win64),true)
	ifeq ($(win64_cxx),prebuilt)
		PROGRAMS := $(PROGRAMS) prebuilt64
	else
		PROGRAMS := $(PROGRAMS) windows64
	endif
endif

ifeq ($(debug),true)
	cxxflags := $(cxxflags) -DPIPELIGHT_DEBUG
	win32_flags := $(win32_flags) -DPIPELIGHT_DEBUG
	win64_flags := $(win64_flags) -DPIPELIGHT_DEBUG
endif

SED_OPTS :=	-e 's|@@BASH@@|$(bash_interp)|g' \
			-e '1s|/usr/bin/env bash|$(bash_interp)|' \
			-e 's|@@BINDIR@@|$(bindir)|g' \
			-e 's|@@DATADIR@@|$(datadir)|g' \
			-e 's|@@GCC_RUNTIME_DLLS@@|$(gcc_runtime_dlls)|g' \
			-e 's|@@GPG@@|$(gpg_exec)|g' \
			-e 's|@@LIBDIR@@|$(libdir)|g' \
			-e 's|@@MANDIR@@|$(mandir)|g' \
			-e 's|@@MOZ_PLUGIN_PATH@@|$(moz_plugin_path)|g' \
			-e 's|@@PIPELIGHT_LIBRARY_PATH@@|$(libdir)/pipelight|g' \
			-e 's|@@PIPELIGHT_SHARE_PATH@@|$(datadir)/pipelight|g' \
			-e 's|@@PREFIX@@|$(prefix)|g' \
			-e 's|@@QUIET_INSTALLATION@@|$(quietinstallation)|g' \
			-e 's|@@VERSION@@|$(version)|g'

ifeq ($(no_gpu_accel),true)
	SED_OPTS := $(SED_OPTS) -e 's|@@SILVERLIGHT_GPU_ACCEL@@|overwriteArg        = enableGPUAcceleration=false|g'
else
	SED_OPTS := $(SED_OPTS) -e 's|@@SILVERLIGHT_GPU_ACCEL@@|\# overwriteArg      = enableGPUAcceleration=false|g'
endif

export

.PHONY: all
all: linux $(PROGRAMS)

config.make:
	@echo ""
	@echo "You need to call ./configure first." >&2
	@echo ""
	@exit 1


pluginloader-$(git_commit).tar.gz:
	$(downloader) "pluginloader-$(git_commit).tar.gz"     "http://repos.fds-team.de/pluginloader/$(git_commit)/pluginloader.tar.gz"

pluginloader-$(git_commit).tar.gz.sig:
	$(downloader) "pluginloader-$(git_commit).tar.gz.sig" "http://repos.fds-team.de/pluginloader/$(git_commit)/pluginloader.tar.gz.sig"

.PHONY: linux
linux: config.make
	CXX="$(cxx)" CXXFLAGS="$(cxxflags)" $(MAKE) -C src/linux

.PHONY: prebuilt32
prebuilt32: config.make pluginloader-$(git_commit).tar.gz pluginloader-$(git_commit).tar.gz.sig
	$(gpg_exec) --batch --no-default-keyring --keyring "share/sig-pluginloader.gpg" --verify "pluginloader-$(git_commit).tar.gz.sig"
	tar -xvf "pluginloader-$(git_commit).tar.gz" src/windows/pluginloader/pluginloader.exe src/windows/winecheck/winecheck.exe

.PHONY: prebuilt64
prebuilt64: config.make pluginloader-$(git_commit).tar.gz pluginloader-$(git_commit).tar.gz.sig
	$(gpg_exec) --batch --no-default-keyring --keyring "share/sig-pluginloader.gpg" --verify "pluginloader-$(git_commit).tar.gz.sig"
	tar -xvf "pluginloader-$(git_commit).tar.gz" src/windows/pluginloader/pluginloader64.exe src/windows/winecheck/winecheck64.exe

.PHONY: windows32
windows32: config.make
	CXX="$(win32_cxx)" CXXFLAGS="$(win32_flags)" $(MAKE) -C src/windows suffix=""

.PHONY: windows64
windows64: config.make
	CXX="$(win64_cxx)" CXXFLAGS="$(win64_flags)" $(MAKE) -C src/windows suffix="64"


.PHONY: install
install: config.make all
	mkdir -p \
			"$(DESTDIR)$(bindir)" \
			"$(DESTDIR)$(datadir)/pipelight/configs" \
			"$(DESTDIR)$(datadir)/pipelight/licenses" \
			"$(DESTDIR)$(datadir)/pipelight/scripts" \
			"$(DESTDIR)$(libdir)/pipelight" \
			"$(DESTDIR)$(mandir)/man1" \
			"$(DESTDIR)$(moz_plugin_path)"

	install -pm 0644 share/sig-install-dependency.gpg "$(DESTDIR)$(datadir)/pipelight/sig-install-dependency.gpg"

	install -pm 0755 "src/windows/pluginloader/pluginloader.exe" "$(DESTDIR)$(datadir)/pipelight/pluginloader.exe"
	if [ "$(with_win64)" = "true" ]; then \
		install -pm 0755 "src/windows/pluginloader/pluginloader64.exe" "$(DESTDIR)$(datadir)/pipelight/pluginloader64.exe"; \
	fi

	install -pm 0755 "src/windows/winecheck/winecheck.exe" "$(DESTDIR)$(datadir)/pipelight/winecheck.exe"
	if [ "$(with_win64)" = "true" ]; then \
		install -pm 0755 "src/windows/winecheck/winecheck64.exe" "$(DESTDIR)$(datadir)/pipelight/winecheck64.exe"; \
	fi

	rm -f "$(DESTDIR)$(datadir)/pipelight/wine"
	ln -s "$(wine_path)" "$(DESTDIR)$(datadir)/pipelight/wine"
	if [ "$(with_win64)" = "true" ]; then \
		rm -f "$(DESTDIR)$(datadir)/pipelight/wine64"; \
		ln -s "$(wine64_path)" "$(DESTDIR)$(datadir)/pipelight/wine64"; \
	fi

	sed $(SED_OPTS) share/install-dependency > install-dependency.tmp
	touch -r share/install-dependency install-dependency.tmp
	install -pm 0755 install-dependency.tmp "$(DESTDIR)$(datadir)/pipelight/install-dependency"
	rm install-dependency.tmp

	for script in $(notdir $(PLUGIN_SCRIPTS)); do \
		sed $(SED_OPTS) share/scripts/$${script} > pipelight-script.tmp; \
		touch -r share/scripts/$${script} pipelight-script.tmp; \
		install -pm 0755 pipelight-script.tmp "$(DESTDIR)$(datadir)/pipelight/scripts/$${script%.*}" || exit 1; \
		rm pipelight-script.tmp; \
	done

	for config in $(notdir $(PLUGIN_CONFIGS)); do \
		sed $(SED_OPTS) share/configs/$${config} > pipelight-config.tmp; \
		touch -r share/configs/$${config} pipelight-config.tmp; \
		install -pm 0644 pipelight-config.tmp "$(DESTDIR)$(datadir)/pipelight/configs/$${config%.*}" || exit 1; \
		rm pipelight-config.tmp; \
	done

	for license in $(notdir $(PLUGIN_LICENSES)); do \
		sed $(SED_OPTS) share/licenses/$${license} > pipelight-license.tmp; \
		touch -r share/licenses/$${license} pipelight-license.tmp; \
		install -pm 0644 pipelight-license.tmp "$(DESTDIR)$(datadir)/pipelight/licenses/$${license%.*}" || exit 1; \
		rm pipelight-license.tmp; \
	done

	install -pm $(so_mode) src/linux/libpipelight/libpipelight.so "$(DESTDIR)$(libdir)/pipelight/libpipelight.so"

	sed $(SED_OPTS) bin/pipelight-plugin.in > pipelight-plugin.tmp
	touch -r bin/pipelight-plugin.in pipelight-plugin.tmp
	install -pm 0755 pipelight-plugin.tmp "$(DESTDIR)$(bindir)/pipelight-plugin"
	rm pipelight-plugin.tmp

	sed $(SED_OPTS) pipelight-plugin.1.in > pipelight-manpage.tmp
	touch -r pipelight-plugin.1.in pipelight-manpage.tmp
	install -pm 0644 pipelight-manpage.tmp "$(DESTDIR)$(mandir)/man1/pipelight-plugin.1"
	rm pipelight-manpage.tmp

.PHONY: uninstall
uninstall: config.make
	rm -f	"$(DESTDIR)$(bindir)/pipelight-plugin" \
			 $(DESTDIR)$(datadir)/pipelight/configs/pipelight-* \
			"$(DESTDIR)$(datadir)/pipelight/install-dependency" \
			 $(DESTDIR)$(datadir)/pipelight/licenses/license-* \
			"$(DESTDIR)$(datadir)/pipelight/pluginloader.exe" \
			"$(DESTDIR)$(datadir)/pipelight/pluginloader64.exe" \
			 $(DESTDIR)$(datadir)/pipelight/scripts/configure-* \
			"$(DESTDIR)$(datadir)/pipelight/sig-install-dependency.gpg" \
			"$(DESTDIR)$(datadir)/pipelight/wine" \
			"$(DESTDIR)$(datadir)/pipelight/wine64" \
			"$(DESTDIR)$(datadir)/pipelight/winecheck.exe" \
			"$(DESTDIR)$(datadir)/pipelight/winecheck64.exe" \
			"$(DESTDIR)$(libdir)/pipelight/libpipelight.so" \
			"$(DESTDIR)$(mandir)/man1/pipelight-plugin.1"

	rmdir --ignore-fail-on-non-empty \
			"$(DESTDIR)$(datadir)/pipelight/configs" \
			"$(DESTDIR)$(datadir)/pipelight/licenses" \
			"$(DESTDIR)$(datadir)/pipelight/scripts" \
			"$(DESTDIR)$(datadir)/pipelight" \
			"$(DESTDIR)$(libdir)/pipelight" \
			"$(DESTDIR)$(moz_plugin_path)"

.PHONY: clean
clean:
	for dir in src/linux src/windows src/common; do \
		$(MAKE) -C $$dir $@; \
	done

.PHONY: dist-clean
dist-clean: clean
	rm -f config.make

.PHONY: pluginloader-tarball
pluginloader-tarball: config.make all
	mkdir -p "$(DESTDIR)/src/windows/pluginloader"
	mkdir -p "$(DESTDIR)/src/windows/winecheck"

	install -pm 0755 "src/windows/pluginloader/pluginloader.exe" "$(DESTDIR)/src/windows/pluginloader/pluginloader.exe"
	if [ "$(with_win64)" = "true" ]; then \
		install -pm 0755 "src/windows/pluginloader/pluginloader64.exe" "$(DESTDIR)/src/windows/pluginloader/pluginloader64.exe"; \
	fi

	install -pm 0755 "src/windows/winecheck/winecheck.exe" "$(DESTDIR)/src/windows/winecheck/winecheck.exe"
	if [ "$(with_win64)" = "true" ]; then \
		install -pm 0755 "src/windows/winecheck/winecheck64.exe" "$(DESTDIR)/src/windows/winecheck/winecheck64.exe"; \
	fi

=== debian/changelog ===
pipelight-multi (0.2.8.1-1) RELEASED; urgency=low

  * Fix Debian Wheezy repository

 -- Michael Mueller <michael@fds-team.de>  Sun, 11 Jan 2015 20:04:14 +0100

pipelight-multi (0.2.8.1) RELEASED; urgency=low

  * Change dependency from wine-compholio to wine-staging for Debian/Ubuntu
  * Update checksum for Shockwave

 -- Michael Mueller <michael@fds-team.de>  Sun, 11 Jan 2015 05:09:54 +0100

pipelight-multi (0.2.8) RELEASED; urgency=low

  * Use signature for install-dependency.sig in clearsign format
  * Use new key for signing install-dependency.sig (used for --update)
  * Use cached plugin information when plugin initialization fails
  * 'pipelight-plugin --update' now automatically updates file timestamps
  * Update Flash to 16.0.0.235
  * Update Silverlight to 5.1.30514.0
  * Update AdobeReader to 11.0.08
  * Update Shockwave to 12.1.5.155
  * Update Unity3D checksum
  * Update Foxit Reader to 7.0.6.1126 (broken in Wine 1.7.32)
  * Update Roblox checksum (broken in Wine 1.7.32)
  * Remove TrianglePlayer plugin (doesn't exist anymore?)
  * Avoid exporting unnecessary symbols in libpipelight.so
  * Rewrite Makefile system to automatically detect dependencies
  * Code cleanup

 -- Sebastian Lackner <sebastian@fds-team.de>  Wed, 10 Dec 2014 05:55:56 +0100

pipelight-multi (0.2.7.3) RELEASED; urgency=high

  * Fix 'pipelight-plugin --update' command

 -- Sebastian Lackner <sebastian@fds-team.de>  Sun, 20 Jul 2014 05:24:43 +0200

pipelight-multi (0.2.7.2) RELEASED; urgency=low

  * Update Flash to 14.0.0.145
  * Update Shockwave to 12.1.3.153
  * Update FoxitPDF to 6.2.1.0618
  * Update Unity3D to 4.5.2f1
  * Effectively drop group-privileges by calling initgroups()
    prior to setuid() and/or setgid()
  * Prefer `cp -af` over `install -m 0644`, but change timestamp
  * Add configure-switches: bash-interp, bindir, datadir, gpg-exec,
    libdir, mandir, mingw-cxxflags, so-modeq, git-commit
  * Preserve timestamps on 'make install'
  * Additional improvements to the build system
  * Fix --no-gpu-accel configure switch

 -- Michael Mueller <michael@fds-team.de>  Sat, 19 Jul 2014 22:51:15 +0200

pipelight-multi (0.2.7.1) RELEASED; urgency=low

  * Update Shockwave to 12.1.2.152
  * Fix AMD detection for open source drivers
  * Make Pipelight FreeBSD compatible

 -- Michael Mueller <michael@fds-team.de>  Mon, 09 Jun 2014 22:57:23 +0200

pipelight-multi (0.2.7) RELEASED; urgency=low

  * Update Flash to 13.0.0.214
  * Update Shockwave to 12.1.1.151
  * Update for Unity3D plugin
  * Update for Adobereader, FoxitReader and Roblox plugin
  * Added experimental TrianglePlayer plugin
  * Fixed pluginloader.exe crash when closing browser window and using
    multiple instances of the same plugin
  * Fix issue that Firefox detected wrong plugin version in some cases
  * Fix structure for x11drv_escape_set_drawable (linux windowless mode)
  * Integrate graphic driver check directly into pluginloader.exe
  * Allow changing strict draw ordering at runtime via context menu
  * Add system-check utility to verify that installation is correct
  * Remove full paths from plugin config files
  * Make scripts more compatible with BSD systems
  * Add --debug configure option
  * Code cleanup

 -- Michael Mueller <michael@fds-team.de>  Tue, 03 Jun 2014 03:09:13 +0200

pipelight-multi (0.2.6) RELEASED; urgency=low

  * Update Silverlight to 5.1.30214.0
  * Add ViewRight for Caiway plugin
  * Update Flash to 12.0.0.77
  * Update Shockwave Player to 12.1.0.150
  * Update Roblox plugin
  * Added Vizzed RGR plugin
  * Add pipelight-plugin commandline switch --list-enabled-all
  * Silverlight now works even with less strict user agent settings
  * Made pluginloader 64-bit compatible and added experimental 64-bit
    version of Flash
  * Add implementation for NPN_PluginThreadAsyncCall
  * Some first steps to make Pipelight MacOS compatible
  * --win{32/64}-prebuilt now automatically downloads the prebuilt binary
    if it doesn't exist yet in the 'make' step
  * Fixed compilation of 32bit pluginloader with wineg++
  * More code cleanup

 -- Michael Mueller <michael@fds-team.de>  Sun, 06 Apr 2014 04:42:15 +0200

pipelight-multi (0.2.5) RELEASED; urgency=low

  * Update Flash to 12.0.0.70
  * Update version of Unity3D, Shockwave and FoxitPDF
  * Add np-ActiveX plugin
  * Add Roblox plugin
  * Add Hikvision Webcontrol plugin as experimental plugin
  * install-dependency: Fix compatibility with old versions of mktemp
  * Add compile flag -DMINGW32_FALLBACK for old versions of Mingw
  * Increase startup timeout for Wine from 20sec to 1min (for slow PCs)
  * Add man page for pipelight-plugin commandline utility
  * Moved configure-* scripts to /usr/share/pipelight/scripts/*

 -- Michael Mueller <michael@fds-team.de>  Sat, 22 Feb 2014 02:46:41 +0100

pipelight-multi (0.2.4.2) RELEASED; urgency=high

  * Improved identifier caching system to ensure that the linux side never
    uses invalid values
  * Don't require ScheduleTimer and UnscheduleTimer function calls
  * Revert PIPELIGHT_SYNC in some specific cases, where some browsers seem
    to behave differently - will be readded later after some more testing

 -- Michael Mueller <michael@fds-team.de>  Mon, 20 Jan 2014 01:11:27 +0100

pipelight-multi (0.2.4.1) RELEASED; urgency=high

  * Fix a regression with Firefox/Opera browsers, which pass a malformed
    value in the plugin initialization array

 -- Michael Mueller <michael@fds-team.de>  Sun, 19 Jan 2014 18:13:43 +0100

pipelight-multi (0.2.4) RELEASED; urgency=low

  * Add Widevine plugin (version 6.0.0.12442)
  * Add experimental Adobe Reader plugin (version 11.0.06)
  * Updated Flash plugin to version 12.0.0.43
  * Updated version of Unity3D and FoxitPDF
  * Added additional wine patches to improve performance
  * Several speed improvements like: Give control back to plugin/browser before
    cleaning up stuff, use async calls when possible, improved refcounting
    system, use cache for NPIdentifiers


## pipelight-multi 0.2.8.2

=== Makefile ===
--- 
+++ 
@@ -71,12 +71,12 @@
 
 .PHONY: prebuilt32
 prebuilt32: config.make pluginloader-$(git_commit).tar.gz pluginloader-$(git_commit).tar.gz.sig
-	$(gpg_exec) --batch --no-default-keyring --keyring "share/sig-pluginloader.gpg" --verify "pluginloader-$(git_commit).tar.gz.sig"
+	$(gpg_exec) --batch --no-default-keyring --keyring "share/sig-pluginloader.gpg" --verify "pluginloader-$(git_commit).tar.gz.sig" "pluginloader-$(git_commit).tar.gz"
 	tar -xvf "pluginloader-$(git_commit).tar.gz" src/windows/pluginloader/pluginloader.exe src/windows/winecheck/winecheck.exe
 
 .PHONY: prebuilt64
 prebuilt64: config.make pluginloader-$(git_commit).tar.gz pluginloader-$(git_commit).tar.gz.sig
-	$(gpg_exec) --batch --no-default-keyring --keyring "share/sig-pluginloader.gpg" --verify "pluginloader-$(git_commit).tar.gz.sig"
+	$(gpg_exec) --batch --no-default-keyring --keyring "share/sig-pluginloader.gpg" --verify "pluginloader-$(git_commit).tar.gz.sig" "pluginloader-$(git_commit).tar.gz"
 	tar -xvf "pluginloader-$(git_commit).tar.gz" src/windows/pluginloader/pluginloader64.exe src/windows/winecheck/winecheck64.exe
 
 .PHONY: windows32

=== src/common/Makefile ===
CXXFLAGS	:= -I../../include $(CXXFLAGS)
export

SOURCE		= $(wildcard *.c)
OBJECTS		= $(SOURCE:.c=_$(common_suffix).o)

.PHONY: all
all: $(OBJECTS)

%_$(common_suffix).o: %.c
	$(CXX) $(CXXFLAGS) -MMD -MP -o $@ -c $<

-include $(SOURCE:.c=.d)

.PHONY: clean
clean:
	rm -f *.o *.d

=== src/linux/Makefile ===
CXXFLAGS	:= -I../../../include -Wall -std=gnu++0x -fPIC $(CXXFLAGS)
export

SUBDIRS		= $(dir $(wildcard */Makefile))

.PHONY: all
all: $(SUBDIRS)

.PHONY: $(SUBDIRS)
$(SUBDIRS):
	$(MAKE) -C $@

.PHONY: clean
clean:
	for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir $@; \
	done

=== src/windows/Makefile ===
CXXFLAGS	:= -I../../../include -Wall -std=gnu++0x -D_WIN32_WINNT=0x0502 $(CXXFLAGS)
export

SUBDIRS		= $(dir $(wildcard */Makefile))

.PHONY: all
all: $(SUBDIRS)

.PHONY: $(SUBDIRS)
$(SUBDIRS):
	$(MAKE) -C $@

.PHONY: clean
clean:
	for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir $@; \
	done

=== src/linux/libpipelight/Makefile ===
CXXFLAGS		:= -fvisibility=hidden -DPIPELIGHT_SHARE_PATH='"$(datadir)/pipelight"' $(CXXFLAGS)
LDFLAGS			:= -lpthread $(LDFLAGS)
UNAME_S			:= $(shell uname -s)
ifeq ($(UNAME_S), FreeBSD)
	CXXFLAGS	:= -I/usr/local/include $(CXXFLAGS)
	LDFLAGS		:= -L/usr/local/lib $(LDFLAGS)
else
	LDFLAGS		:= -ldl $(LDFLAGS)
endif
ifneq ($(UNAME_S),Darwin)
	LDFLAGS		:= -lX11 $(LDFLAGS)
endif
common_suffix	:= lin
export

SOURCE		= $(wildcard *.c)
OBJECTS		= $(SOURCE:.c=.o) ../../common/common_lin.o
SUBDIRS		:= ../../common/

.PHONY: all
all: libpipelight.so

libpipelight.so: $(OBJECTS)
	$(CXX) -shared $(CXXFLAGS) $(OBJECTS) $(LDFLAGS) -o libpipelight.so

%.o: %.c
	$(CXX) $(CXXFLAGS) -MMD -MP -o $@ -c $<

../../common/common_lin.o: dummy
	$(MAKE) -C ../../common/

-include $(SOURCE:.c=.d)

.PHONY: clean dummy
clean:
	rm -f *.so *.o *.d
	for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir $@; \
	done

=== src/windows/pluginloader/Makefile ===
CXXFLAGS		:= -DPLUGINLOADER -DPIPELIGHT_VERSION='"$(version)"' $(CXXFLAGS)
LDFLAGS			:= -lversion -lgdi32 -lole32 -lopengl32
common_suffix 	:= win$(suffix)
export

SUBDIRS			:= ../../common/
SOURCE			= $(wildcard *.c)
OBJECTS			= $(SOURCE:.c=$(suffix).o) ../../common/common_win$(suffix).o

.PHONY: all
all: pluginloader$(suffix).exe

pluginloader$(suffix).exe: $(OBJECTS)
	rm -f "pluginloader$(suffix).exe.so"
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(OBJECTS) $(LDFLAGS) -o pluginloader$(suffix).exe

	if [ -f "pluginloader$(suffix).exe.so" ]; then \
		rm -f "pluginloader$(suffix).exe"; \
		mv "pluginloader$(suffix).exe.so" "pluginloader$(suffix).exe"; \
	fi

%$(suffix).o: %.c
	$(CXX) $(CXXFLAGS) -MMD -MP -o $@ -c $<

../../common/common_win$(suffix).o: dummy
	$(MAKE) -C ../../common/

-include $(SOURCE:.c=.d)

.PHONY: clean dummy
clean:
	rm -f *.exe *.exe.so *.o *.d
	for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir $@; \
	done

=== src/windows/winecheck/Makefile ===
LDFLAGS		:= -lgdi32 -lopengl32
export

SOURCE		= $(wildcard *.c)
OBJECTS		= $(SOURCE:.c=$(suffix).o)

.PHONY: all
all: winecheck$(suffix).exe

winecheck$(suffix).exe: $(OBJECTS)
	rm -f "winecheck$(suffix).exe.so"
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $(OBJECTS) $(LDFLAGS) -o winecheck$(suffix).exe

	if [ -f "winecheck$(suffix).exe.so" ]; then \
		rm -f "winecheck$(suffix).exe"; \
		mv "winecheck$(suffix).exe.so" "winecheck$(suffix).exe"; \
	fi

%$(suffix).o: %.c
	$(CXX) $(CXXFLAGS) -MMD -MP -o $@ -c $<

-include $(SOURCE:.c=.d)

.PHONY: clean
clean:
	rm -f *.exe *.exe.so *.o

=== debian/changelog ===
pipelight-multi (0.2.8.2-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Fri, 04 Mar 2016 11:58:51 -0800

pipelight-multi (0.2.8.2~ubuntu14.04.1) trusty; urgency=low

  * Auto build.

 -- Michael Müller <michael@fds-team.de>  Sun, 04 Oct 2015 13:01:15 +0000

pipelight-multi (0.2.8.2) RELEASED; urgency=low

  * Update Flash to 19.0.0.185
  * Update Shockwave to 12.2.0.162
  * Update Silverlight 5 to 5.1.40416.0
  * Update Unity3D checksum
  * Fix compatibility with gpg2

 -- Michael Mueller <michael@fds-team.de>  Sun, 04 Oct 2015 14:32:48 +0200

=== debian/control ===
Source: pipelight-multi
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Michael Mueller <michael@fds-team.de>
Section: net
Priority: optional
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 8),
               libx11-dev (>= 2:1.3),
               mingw-w64,
               g++-mingw-w64,
               sed (>= 4.2.1),
               po-debconf
               
Package: pipelight-multi
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}, libx11-6, mesa-utils,
 ttf-mscorefonts-installer, wget, zenity | kde-baseapps-bin, zenity | qdbus,
 wine-staging, bash (>= 4.0), unzip, cabextract, gnupg
Conflicts: pipelight (<< 0.2.0~)
Replaces: pipelight (<< 0.2.0~)
Description: allows usage of Windows NPAPI plugins through Wine-staging
 Pipelight allows one to use NPAPI plugins inside a Linux browser
 with the help of Wine-staging.

Package: pipelight
Architecture: all
Section: oldlibs
Depends: ${misc:Depends}, pipelight-multi
Description: transitional package for pipelight-multi
 Pipelight allows one to use Silverlight inside a Linux browser 
 with the help of Wine.
 .
 Transitional dummy package. Please use pipelight-multi instead.

=== debian/rules ===
#!/usr/bin/make -f
%:
		dh $@

override_dh_auto_configure:
ifeq ($(DEB_BUILD_ARCH), amd64)
	dh_auto_configure -- --win32-static --gcc-runtime-dlls=""  --with-win64 --wine-path="/opt/wine-staging/bin/wine"
else
	dh_auto_configure -- --win32-static --gcc-runtime-dlls=""  --wine-path="/opt/wine-staging/bin/wine"
endif

override_dh_auto_install:
		$(MAKE) DESTDIR=$$(pwd)/debian/pipelight-multi install
		mkdir -p $$(pwd)/debian/pipelight/usr/share/pipelight
		install -m 0644 "$$(pwd)/debian/README-pipelight" "$$(pwd)/debian/pipelight/usr/share/pipelight"
